Bug 1826230 - Bump to latest available 1.18.x k8s
Summary: Bump to latest available 1.18.x k8s
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.5.0
Assignee: Jan Safranek
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks: 1856763
TreeView+ depends on / blocked
 
Reported: 2020-04-21 09:30 UTC by Maciej Szulik
Modified: 2020-07-14 14:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-25 08:35:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 634 0 None closed Bug 1826230: Bump to kube v1.18.2 2020-12-25 04:26:06 UTC
Github openshift api pull 635 0 None closed Bug 1826230: Switch to go-bindata/go-bindata for consistency with upstream 2020-12-25 04:26:06 UTC
Github openshift api pull 651 0 None closed Bug 1826230: Bump to kube 1.18.3 2020-12-25 04:26:07 UTC
Github openshift apiserver-library-go pull 28 0 None closed Bug 1826230: Bump kube to v1.18.2 2020-12-25 04:26:06 UTC
Github openshift apiserver-library-go pull 29 0 None closed Bug 1826230: Switch to go-bindata/go-bindata for consistency with upstream 2020-12-25 04:26:07 UTC
Github openshift apiserver-library-go pull 30 0 None closed Bug 1826230: Bump to kube 1.18.3 2020-12-25 04:26:07 UTC
Github openshift client-go pull 146 0 None closed Bug 1826230: Bump to kube v1.18.2 2020-12-25 04:26:07 UTC
Github openshift client-go pull 148 0 None closed Bug 1826230: Bump to kube 1.18.3 2020-12-25 04:26:08 UTC
Github openshift cluster-authentication-operator pull 281 0 None closed Bug 1826230: bump(build-machinery-go) and update go-bindata to match 2020-12-25 04:26:08 UTC
Github openshift cluster-csi-snapshot-controller-operator pull 37 0 None closed WIP Bug 1826230: Bump to kube 1.18.2 2020-12-25 04:26:08 UTC
Github openshift cluster-etcd-operator pull 322 0 None closed Bug 1826230: bump(build-machinery-go) and update go-bindata to match 2020-12-25 04:26:06 UTC
Github openshift cluster-kube-apiserver-operator pull 842 0 None closed Bug 1826230: bump(build-machinery-go) and update go-bindata to match 2020-12-25 04:26:09 UTC
Github openshift cluster-kube-controller-manager-operator pull 404 0 None closed Bug 1826230: bump(build-machinery-go) and update go-bindata to match 2020-12-25 04:26:09 UTC
Github openshift cluster-kube-scheduler-operator pull 242 0 None closed Bug 1826230: bump(build-machinery-go) and update go-bindata to match 2020-12-25 04:26:10 UTC
Github openshift cluster-kube-storage-version-migrator-operator pull 18 0 None closed Bug 1826230: Bump for kube 1.18 2020-12-25 04:26:08 UTC
Github openshift cluster-kube-storage-version-migrator-operator pull 20 0 None closed Bug 1826230: bump(build-machinery-go) and update go-bindata to match 2020-12-25 04:26:10 UTC
Github openshift cluster-openshift-apiserver-operator pull 357 0 None closed Bug 1826230: bump(build-machinery-go) and update go-bindata to match 2020-12-25 04:26:10 UTC
Github openshift cluster-openshift-controller-manager-operator pull 157 0 None closed Bug 1826230: bump(build-machinery-go) and update go-bindata to match 2020-12-25 04:26:10 UTC
Github openshift cluster-policy-controller pull 27 0 None closed Bug 1826230: bump k8s to 1.18.2 2020-12-25 04:26:11 UTC
Github openshift library-go pull 766 0 None closed Bug 1826230: Switch from jteeuwen/go-bindata to go-bindata/go-bindata 2020-12-25 04:26:09 UTC
Github openshift library-go pull 778 0 None closed Bug 1826230: Bump to kube v1.18.2 2020-12-25 04:26:44 UTC
Github openshift library-go pull 803 0 None closed WIP Bug 1826230: Bump to kube 1.18.3 2020-12-25 04:26:12 UTC
Github openshift library-go pull 804 0 None closed Bug 1826230: Bump to kube 1.18.3 2020-12-25 04:26:44 UTC
Github openshift oauth-server pull 42 0 None closed Bug 1826230: Bump to 1.18.2 2020-12-25 04:26:13 UTC
Github openshift oc pull 402 0 None closed Bug 1826230: 1.18.2 rebase 2020-12-25 04:26:45 UTC
Github openshift oc pull 409 0 None closed Bug 1826230: bring missing fixes to oc 2020-12-25 04:26:45 UTC
Github openshift openshift-apiserver pull 84 0 None closed Bug 1826230: Rebase 1.18 2020-12-25 04:26:46 UTC
Github openshift origin pull 24923 0 None closed Bug 1826230: oc get --request-timeout: Timeout exceeded while reading body printed with -v=5 2020-12-25 04:26:13 UTC
Github openshift release pull 6772 0 None closed Bug 1826230: bump golang for cluster-policy-controller 2020-12-25 04:26:13 UTC
Github openshift service-ca-operator pull 115 0 None closed Bug 1826230: kubernetes 1.18 rebase 2020-12-25 04:26:47 UTC
Github openshift service-ca-operator pull 117 0 None closed Bug 1826230: bump(build-machinery-go) and update go-bindata to match 2020-12-25 04:26:47 UTC

Description Maciej Szulik 2020-04-21 09:30:20 UTC
We need to bump the following elements to latest k8s to pick up all the necessary updates and fixes.

Comment 1 Standa Laznicka 2020-04-21 12:57:28 UTC
Moving back to new, other components have to be rebased, too

Comment 4 Maru Newby 2020-04-27 04:14:39 UTC
I would really appreciate a way to disable the automatic bz changes for umbrella bz's such as this.

Comment 5 Stefan Schimanski 2020-05-19 12:27:59 UTC
Moving to storage as https://github.com/openshift/cluster-csi-snapshot-controller-operator/pull/37 is the only left rebase.

Comment 6 Jan Safranek 2020-05-25 08:35:31 UTC
csi-snapshot-operator will stick to client-go 1.17 because of its dependencies.
The rest of operators has been updated for OCP 4.5.


Note You need to log in before you can comment on or make changes to this bug.